summaryrefslogtreecommitdiff
path: root/modules/tree/addparent.sh
diff options
context:
space:
mode:
Diffstat (limited to 'modules/tree/addparent.sh')
-rw-r--r--modules/tree/addparent.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/modules/tree/addparent.sh b/modules/tree/addparent.sh
new file mode 100644
index 0000000..6759bcb
--- /dev/null
+++ b/modules/tree/addparent.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+name='addparent'
+ver=0.1
+# Copyright (C) 2010 Luke Shumaker
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; see the file COPYING.
+# If not, see <http://www.gnu.org/licenses>.
+
+usage="usage: $RVS $name CHILD PARENT"
+ child=${1?"$usage"}
+parent=${2?"$usage"}
+
+if [ ! "$child" = "$parent" ]; then
+ ct="`"$RVS" blob-gettype "$child"`"
+ pt="`"$RVS" blob-gettype "$parent"`"
+
+ if [ "$ct" = "$pt" ]; then
+ "$RVS" "addparent.$ct" "$child" "$parent"
+ else
+ echo "$0: CHILD and PARENT must be the same type">>/dev/stderr
+ exit 1
+ fi
+fi
+